import 'package:get/get.dart';

enum SplitTunnelingMode {
  exclude, // 排除选中的应用
  include, // 仅包含选中的应用
}

class SplittunnelingController extends GetxController {
  // 当前选中的分流隧道模式
  final selectedMode = SplitTunnelingMode.exclude.obs;

  @override
  void onInit() {
    super.onInit();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }

  /// 选择分流隧道模式
  void selectMode(SplitTunnelingMode mode) {
    selectedMode.value = mode;
  }
}
